# Substring Formatter

## About

I haven't found a way to trim from the left using the Drupal interface. The PHP
[substr](https://www.php.net/manual/en/function.substr.php) function seemed like
a good way to go about it, and there's some extra functionality to boot! As a
field formatter you're able to use this in views, normal content displays, etc.

## Usage

There are two input fields, the first maps directly to the `start` parameter,
the second to `length`. The string value of the content field being manipulated
maps to the `string` parameter. For `start`, a negative value will trim all
characters from the start of the string until the specified character count from
the end of the string (trimming from the left), a positive value will do the
opposite and trim from the right. For the string 12345678, -3 would output 678
and 3 would output 123. `Length` sets the string length to a fixed number of
characters. For the string 12345678, with a start position of -3, a trim length
of 2 would output 67. For further reading, I recommend the [substr function page
in the PHP Manual](https://www.php.net/manual/en/function.substr.php). :)
